// Torque Input Map File
if (isObject(moveMap)) moveMap.delete();
new ActionMap(moveMap);
moveMap.bindCmd(keyboard, "escape", "", "escapeFromGame();");
moveMap.bind(keyboard, "space", cycleNEROInformation);
moveMap.bindCmd(keyboard, "1", "GroupManager.selectGroupFromKeyboard(1);", "");
moveMap.bind(keyboard, "f2", showPlayerList);
moveMap.bind(keyboard, "e", turnright);
moveMap.bind(keyboard, "a", moveleft);
moveMap.bind(keyboard, "d", moveright);
moveMap.bind(keyboard, "w", moveForward);
moveMap.bind(keyboard, "s", movebackward);
moveMap.bind(keyboard, "x", toggleZoom);
moveMap.bind(keyboard, "z", toggleFreeLook);
moveMap.bind(keyboard, "u", toggleMessageHud);
moveMap.bind(keyboard, "pageup", pageMessageHudUp);
moveMap.bind(keyboard, "pagedown", pageMessageHudDown);
moveMap.bind(keyboard, "f3", startRecordingDemo);
moveMap.bind(keyboard, "f4", stopRecordingDemo);
moveMap.bind(keyboard, "f8", dropCameraAtPlayer);
moveMap.bind(keyboard, "f7", dropPlayerAtCamera);
moveMap.bind(keyboard, "o", bringUpOptions);
moveMap.bind(keyboard, "p", togglePause);
moveMap.bind(keyboard, "m", toggleMouseLook);
moveMap.bind(keyboard, "q", turnleft);
moveMap.bindCmd(keyboard, "ctrl 0", "GroupManager.createGroup(0);", "");
moveMap.bindCmd(keyboard, "shift 0", "GroupManager.addGroupSelection(0);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 0", "GroupManager.addGroupToGroup(0);", "");
moveMap.bindCmd(keyboard, "0", "GroupManager.selectGroupFromKeyboard(0);", "");
moveMap.bindCmd(keyboard, "ctrl 1", "GroupManager.createGroup(1);", "");
moveMap.bindCmd(keyboard, "shift 1", "GroupManager.addGroupSelection(1);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 1", "GroupManager.addGroupToGroup(1);", "");
moveMap.bindCmd(keyboard, "ctrl 2", "GroupManager.createGroup(2);", "");
moveMap.bindCmd(keyboard, "shift 2", "GroupManager.addGroupSelection(2);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 2", "GroupManager.addGroupToGroup(2);", "");
moveMap.bindCmd(keyboard, "2", "GroupManager.selectGroupFromKeyboard(2);", "");
moveMap.bindCmd(keyboard, "ctrl 3", "GroupManager.createGroup(3);", "");
moveMap.bindCmd(keyboard, "shift 3", "GroupManager.addGroupSelection(3);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 3", "GroupManager.addGroupToGroup(3);", "");
moveMap.bindCmd(keyboard, "3", "GroupManager.selectGroupFromKeyboard(3);", "");
moveMap.bindCmd(keyboard, "ctrl 4", "GroupManager.createGroup(4);", "");
moveMap.bindCmd(keyboard, "shift 4", "GroupManager.addGroupSelection(4);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 4", "GroupManager.addGroupToGroup(4);", "");
moveMap.bindCmd(keyboard, "4", "GroupManager.selectGroupFromKeyboard(4);", "");
moveMap.bindCmd(keyboard, "ctrl 5", "GroupManager.createGroup(5);", "");
moveMap.bindCmd(keyboard, "shift 5", "GroupManager.addGroupSelection(5);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 5", "GroupManager.addGroupToGroup(5);", "");
moveMap.bindCmd(keyboard, "5", "GroupManager.selectGroupFromKeyboard(5);", "");
moveMap.bindCmd(keyboard, "ctrl 6", "GroupManager.createGroup(6);", "");
moveMap.bindCmd(keyboard, "shift 6", "GroupManager.addGroupSelection(6);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 6", "GroupManager.addGroupToGroup(6);", "");
moveMap.bindCmd(keyboard, "6", "GroupManager.selectGroupFromKeyboard(6);", "");
moveMap.bindCmd(keyboard, "ctrl 7", "GroupManager.createGroup(7);", "");
moveMap.bindCmd(keyboard, "shift 7", "GroupManager.addGroupSelection(7);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 7", "GroupManager.addGroupToGroup(7);", "");
moveMap.bindCmd(keyboard, "7", "GroupManager.selectGroupFromKeyboard(7);", "");
moveMap.bindCmd(keyboard, "ctrl 8", "GroupManager.createGroup(8);", "");
moveMap.bindCmd(keyboard, "shift 8", "GroupManager.addGroupSelection(8);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 8", "GroupManager.addGroupToGroup(8);", "");
moveMap.bindCmd(keyboard, "8", "GroupManager.selectGroupFromKeyboard(8);", "");
moveMap.bindCmd(keyboard, "ctrl 9", "GroupManager.createGroup(9);", "");
moveMap.bindCmd(keyboard, "shift 9", "GroupManager.addGroupSelection(9);", "");
moveMap.bindCmd(keyboard, "shift-ctrl 9", "GroupManager.addGroupToGroup(9);", "");
moveMap.bindCmd(keyboard, "9", "GroupManager.selectGroupFromKeyboard(9);", "");
moveMap.bindCmd(keyboard, "lshift", "toggleSelectionModifier();", "toggleSelectionModifier();");
moveMap.bind(mouse0, "xaxis", yaw);
moveMap.bind(mouse0, "yaxis", pitch);
moveMap.bind(mouse0, "button0", mouseFire);
moveMap.bind(mouse0, "ctrl button0", clientControlCamera);
moveMap.bind(mouse0, "button1", clientControlCamera);
